=== modified file 'drizzled/handler.cc'
--- drizzled/handler.cc	2008-07-28 02:02:14 +0000
+++ drizzled/handler.cc	2008-07-28 03:59:01 +0000
@@ -25,7 +25,6 @@
 
 #include "mysql_priv.h"
 #include "rpl_filter.h"
-#include <myisampack.h>
 #include <errno.h>
 
 /*

=== modified file 'drizzled/handler.h'
--- drizzled/handler.h	2008-07-26 18:02:40 +0000
+++ drizzled/handler.h	2008-07-28 02:47:38 +0000
@@ -21,7 +21,7 @@
 #endif
 
 #include <my_handler.h>
-#include <keycache.h>
+#include <storage/myisam/keycache.h>
 
 #ifndef NO_HASH
 #define NO_HASH				/* Not yet implemented */

=== modified file 'drizzled/set_var.cc'
--- drizzled/set_var.cc	2008-07-26 18:02:40 +0000
+++ drizzled/set_var.cc	2008-07-28 02:47:38 +0000
@@ -56,7 +56,7 @@
 #include "rpl_mi.h"
 #include <my_getopt.h>
 #include <thr_alarm.h>
-#include <myisam.h>
+#include <storage/myisam/myisam.h>
 #include <my_dir.h>
 
 extern CHARSET_INFO *character_set_filesystem;

=== modified file 'drizzled/slave.cc'
--- drizzled/slave.cc	2008-07-28 02:02:14 +0000
+++ drizzled/slave.cc	2008-07-28 03:59:01 +0000
@@ -26,7 +26,7 @@
 
 #include "mysql_priv.h"
 
-#include <myisam.h>
+#include <storage/myisam/myisam.h>
 #include "slave.h"
 #include "rpl_mi.h"
 #include "rpl_rli.h"

=== modified file 'drizzled/sql_class.h'
--- drizzled/sql_class.h	2008-07-26 18:02:40 +0000
+++ drizzled/sql_class.h	2008-07-28 02:47:38 +0000
@@ -2214,7 +2214,7 @@
   int prepare2(void) { return 0; }
 };
 
-#include <myisam.h>
+#include <storage/myisam/myisam.h>
 
 /* 
   Param to create temporary tables when doing SELECT:s 

=== modified file 'drizzled/sql_parse.cc'
--- drizzled/sql_parse.cc	2008-07-28 02:02:14 +0000
+++ drizzled/sql_parse.cc	2008-07-28 03:59:01 +0000
@@ -19,7 +19,7 @@
 #include "rpl_filter.h"
 #include "repl_failsafe.h"
 #include <m_ctype.h>
-#include <myisam.h>
+#include <storage/myisam/myisam.h>
 #include <my_dir.h>
 
 /**

=== modified file 'drizzled/sql_select.h'
--- drizzled/sql_select.h	2008-07-28 01:47:41 +0000
+++ drizzled/sql_select.h	2008-07-28 03:59:01 +0000
@@ -25,7 +25,7 @@
 #pragma interface			/* gcc class implementation */
 #endif
 
-#include <myisam.h>
+#include <storage/myisam/myisam.h>
 
 /* Values in optimize */
 #define KEY_OPTIMIZE_EXISTS		1

=== modified file 'drizzled/sql_table.cc'
--- drizzled/sql_table.cc	2008-07-28 03:45:43 +0000
+++ drizzled/sql_table.cc	2008-07-28 03:59:01 +0000
@@ -17,7 +17,7 @@
 
 #include "mysql_priv.h"
 #include <hash.h>
-#include <myisam.h>
+#include <storage/myisam/myisam.h>
 #include <my_dir.h>
 #include "sql_show.h"
 

=== modified file 'drizzled/sql_yacc.yy'
--- drizzled/sql_yacc.yy	2008-07-28 01:47:41 +0000
+++ drizzled/sql_yacc.yy	2008-07-28 03:59:01 +0000
@@ -41,7 +41,7 @@
 #include "slave.h"
 #include "lex_symbol.h"
 #include "item_create.h"
-#include <myisam.h>
+#include <storage/myisam/myisam.h>
 
 int yylex(void *yylval, void *yythd);
 

=== modified file 'include/Makefile.am'
--- include/Makefile.am	2008-07-27 21:07:26 +0000
+++ include/Makefile.am	2008-07-28 02:08:00 +0000
@@ -42,7 +42,6 @@
 			my_getopt.h \
 			my_dir.h \
 			sql_common.h \
-			keycache.h \
 			m_ctype.h \
 			my_attribute.h \
 			$(BUILT_SOURCES)
@@ -51,9 +50,6 @@
 			heap.h \
 			my_bitmap.h \
 			my_uctype.h \
-			myisam.h \
-			myisampack.h \
-			myisammrg.h \
 			mysys_err.h \
 			my_base.h \
 			my_nosys.h \

=== modified file 'include/my_handler.h'
--- include/my_handler.h	2008-07-23 00:11:39 +0000
+++ include/my_handler.h	2008-07-28 02:47:38 +0000
@@ -18,7 +18,7 @@
 #ifndef _my_handler_h
 #define _my_handler_h
 
-#include "myisampack.h"
+#include <storage/myisam/myisampack.h>
 #ifdef	__cplusplus
 extern "C" {
 #endif

=== modified file 'mysys/ptr_cmp.c'
--- mysys/ptr_cmp.c	2008-07-17 20:11:46 +0000
+++ mysys/ptr_cmp.c	2008-07-28 02:47:38 +0000
@@ -20,7 +20,7 @@
   */
 
 #include "mysys_priv.h"
-#include <myisampack.h>
+#include <storage/myisam/myisampack.h>
 
 static int ptr_compare(size_t *compare_length, uchar **a, uchar **b);
 static int ptr_compare_0(size_t *compare_length, uchar **a, uchar **b);

=== modified file 'storage/archive/ha_archive.cc'
--- storage/archive/ha_archive.cc	2008-07-26 18:02:40 +0000
+++ storage/archive/ha_archive.cc	2008-07-28 02:47:38 +0000
@@ -18,7 +18,7 @@
 #endif
 
 #include "mysql_priv.h"
-#include <myisam.h>
+#include <storage/myisam/myisam.h>
 
 #include "ha_archive.h"
 #include <my_dir.h>

=== modified file 'storage/innobase/handler/ha_innodb.cc'
--- storage/innobase/handler/ha_innodb.cc	2008-07-28 02:02:14 +0000
+++ storage/innobase/handler/ha_innodb.cc	2008-07-28 03:59:01 +0000
@@ -34,7 +34,6 @@
 
 #include <m_ctype.h>
 #include <hash.h>
-#include <myisampack.h>
 #include <mysys_err.h>
 #include <my_sys.h>
 #include "ha_innodb.h"

=== modified file 'storage/myisam/Makefile.am'
--- storage/myisam/Makefile.am	2008-07-27 21:07:26 +0000
+++ storage/myisam/Makefile.am	2008-07-28 02:08:00 +0000
@@ -35,7 +35,12 @@
 			libmyisamha.la libmyisamnone.la
 bin_PROGRAMS =		myisamchk myisamlog myisampack
 noinst_HEADERS =	myisamdef.h \
-			ha_myisam.h
+			ha_myisam.h \
+			keycache.h \
+			myisam.h \
+			myisammrg.h \
+			myisampack.h
+
 libmyisamutil_la_SOURCES = mi_open.c mi_extra.c mi_info.c mi_rkey.c \
 			mi_rnext.c mi_rnext_same.c \
 			mi_search.c mi_page.c mi_key.c mi_locking.c \

=== modified file 'storage/myisam/ha_myisam.h'
--- storage/myisam/ha_myisam.h	2008-07-26 18:02:40 +0000
+++ storage/myisam/ha_myisam.h	2008-07-28 02:47:38 +0000
@@ -20,7 +20,7 @@
 
 /* class for the the myisam handler */
 
-#include <myisam.h>
+#include <storage/myisam/myisam.h>
 
 #define HA_RECOVER_NONE		0	/* No automatic recover */
 #define HA_RECOVER_DEFAULT	1	/* Automatic recover active */

=== renamed file 'include/keycache.h' => 'storage/myisam/keycache.h'
=== renamed file 'include/myisam.h' => 'storage/myisam/myisam.h'
=== renamed file 'include/myisammrg.h' => 'storage/myisam/myisammrg.h'
=== renamed file 'include/myisampack.h' => 'storage/myisam/myisampack.h'
=== modified file 'strings/decimal.c'
--- strings/decimal.c	2008-07-22 18:31:32 +0000
+++ strings/decimal.c	2008-07-28 02:47:38 +0000
@@ -101,7 +101,7 @@
 
 #include <my_global.h>
 #include <m_ctype.h>
-#include <myisampack.h>
+#include <storage/myisam/myisampack.h>
 #include <my_sys.h> /* for my_alloca */
 #include <m_string.h>
 #include <decimal.h>

